#### D.6.12.1 tau_es

Procedure from library `equising.lib` (see equising_lib).

Usage:
  tau_es(f); f poly

Assume:
  f is a reduced bivariate polynomial, the basering has precisely two variables, is local and no qring.

Return:
  int, the codimension of the mu-const stratum in the semi-universal deformation base.

Note:
  printlevel>=1 displays additional information.
  When called with any additional parameter, the computation of the Milnor number is avoided (no check for NND).

Example:

    LIB "equising.lib";
    ring r=32003,(x,y),ds;
    poly f=(x4-y4)^2-x10;
    tau_es(f);
    ==> 42

See also: esIdeal; invariants; tjurina.

User manual for Singular version 4.4.1, 2025, generated by texi2html.